Bug 1130797 - Cache document statistic and overflow to disk
Cache document statistic and overflow to disk
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Persistence (Show other bugs)
3.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-17 17:11 EDT by Alex Eng
Modified: 2014-10-23 00:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.4.3-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1922
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-23 00:10:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2014-08-17 17:11:04 EDT
Description of problem:
Implement document statistic caching and overflow to disk
Comment 1 Alex Eng 2014-08-17 17:11:26 EDT
Pull request:

https://github.com/zanata/zanata-server/pull/557
Comment 2 Alex Eng 2014-08-25 20:46:00 EDT
This implement caching of document/locale statistic and persist in disk, which should increase performance when loading project version page.
Comment 3 Damian Jansen 2014-08-26 23:26:21 EDT
Verified.
In integration/master at bbe7243aea60b2d45820c8ee17fbda7c375024d3

Note You need to log in before you can comment on or make changes to this bug.